Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jbpm
Class MuleReceiveActivity

    java.lang.Object
      org.jbpm.jpdl.internal.activity.JpdlActivity
          org.jbpm.jpdl.internal.activity.JpdlExternalActivity
              org.jbpm.jpdl.internal.activity.StateActivity
                  org.mule.module.jbpm.MuleReceiveActivity

All Implemented Interfaces:
  Serializable, org.jbpm.api.activity.ActivityBehaviour, org.jbpm.api.activity.ExternalActivityBehaviour

    public class MuleReceiveActivity

extends org.jbpm.jpdl.internal.activity.StateActivity

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.jpdl.internal.activity.JpdlActivity
`dbid`

Constructor Summary
`MuleReceiveActivity(boolean startState)`

Method Summary
`void` | `execute(org.jbpm.pvm.internal.model.ExecutionImpl execution)`
`String` | `getEndpoint()`
`Class` | `getPayloadClass()`
`String` | `getVariableName()`
`void` | `setEndpoint(String endpoint)`
`void` | `setPayloadClass(String className)`
`void` | `setVariableName(String variableName)`
`void` | `signal(org.jbpm.api.activity.ActivityExecution execution, String signalName, Map<String,?> parameters)`

Methods inherited from class org.jbpm.jpdl.internal.activity.StateActivity
`execute, signal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleReceiveActivity

    public MuleReceiveActivity(boolean startState)

Method Detail

### execute

    public void execute(org.jbpm.pvm.internal.model.ExecutionImpl execution)

  Overrides:
    `execute` in class `org.jbpm.jpdl.internal.activity.StateActivity`

### signal

    public void signal(org.jbpm.api.activity.ActivityExecution execution,
                       String signalName,
                       Map<String,?> parameters)
                throws Exception

  Specified by:
    `signal` in interface `org.jbpm.api.activity.ExternalActivityBehaviour`
  Overrides:
    `signal` in class `org.jbpm.jpdl.internal.activity.StateActivity`
  Throws:
    `Exception`

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getVariableName

    public String getVariableName()

### setVariableName

    public void setVariableName(String variableName)

### setPayloadClass

    public void setPayloadClass(String className)

### getPayloadClass

    public Class getPayloadClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.